package client

import (
	crc "git.loafle.net/commons_go/rpc/client"
	crcrs "git.loafle.net/commons_go/rpc/client/rwc/socket"
	csc "git.loafle.net/commons_go/server/client"
)

func New(clientHandler ClientHandler, socketBuilder csc.SocketBuilder) crc.Client {
	cRWCHandler := crcrs.New(socketBuilder)

	c := crc.New(clientHandler, cRWCHandler)

	return c
}
